<?php
$seller = function()
{
	return Dever::db('code/seller')->state();
};
return array
(
	# 表名
	'name' => 'config',
	# 显示给用户看的名称
	'lang' => '新增兑换码',
	'order' => 1,
	'menu' => false,
	'end' => array
	(
		'update' => 'code/lib/manage.create',
		'insert' => 'code/lib/manage.create',
	),
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '系统ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'value'		=> Dever::input('where_id'),
		),

		'product'     => array
        (
            'type'      => 'varchar-200',
            'name'      => '选择小刊',
            'default'   => '',
            'desc'      => '选择小刊',
            'search'	=> 'linkage',
			'update'	=> 'linkage',//多级联动 用于搜索
			'option'	=> Dever::url('lib/manage.search_cate_journal', 'journal'),
        ),
		
		'product_id'     => array
        (
            'type'      => 'int-11',
            'name'      => '选择小刊',
            'default'   => '',
            'desc'      => '选择小刊',
            'match'     => 'option',
            //'update'    => 'select',
            //'update_search' => 'journal/lib/manage.search_journal',
        ),

        'seller_id'     => array
        (
            'type'      => 'int-11',
            'name'      => '选择销售商',
            'default'   => '1',
            'desc'      => '选择销售商',
            'match'     => 'option',
            'update'    => 'select',
          	'option'	=> $seller,
        ),
		
		'num'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '兑换码数量',
			'default' 	=> '',
			'desc' 		=> '请输入兑换码数量',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'value'		=> '',
		),

		'product_num'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '兑换本数-填写0则不增加售出本数',
			'default' 	=> '0',
			'desc' 		=> '兑换本数',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'score'         => array
        (
            'type'      => 'varchar-80',
            'name'      => '增加积分数-直接填写积分数，设置之后，积分规则里的设置及小刊兑换码中的设置将失效，当设置为0时，直接使用积分规则中的设置。当设置为负1时，不增加积分数',
            'default'   => '',
            'desc'      => '增加积分数',
            'match'     => 'is_string',
            'update'    => 'text',
        ),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	'manage' => array
	(
		# 后台管理不要列表页
		'list' => 'update',
	),
);
