<?php

$product = function()
{
    return Dever::db('journal/info')->state();
};

return array
(
    # 表名
    'name' => 'mobile',
    # 显示给用户看的名称
    'lang' => '电子刊导入用户',
    'order' => 1,
    'menu' => false,

    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            //'list'      => true,
        ),

        'mobile'      => array
        (
            'type'      => 'varchar-300',
            'name'      => '手机号',
            'default'   => '',
            'desc'      => '手机号',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'        => true,
            //'list'        => '"{order_id}" ? "{order_id}" : "{code}"',
        ),

        'product_id'        => array
        (
            'type'      => 'int-11',
            'name'      => '电子刊',
            'default'   => '',
            'desc'      => '电子刊',
            'match'     => 'is_numeric',
            'update'    => 'select',
            'option'    => $product,
            'search'    => 'select',
            'list'        => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '导入时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            'default'   => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list'        => 'date("Y-m-d H:i:s", {cdate})',
            //'list'      => 'Dever::load("service/lib/manage.showOrderTime", "{id}")',
        ),
    ),

    'manage' => array
    (
        //'delete' => false,
        'edit' => false,
        'insert' => false,

        'button' => array
        (
            '导入用户' => array('fast', 1, 'mobile_upload&where_id=1'),
            '下载导入模板' => array('location', 'journal/lib/manage.mobileTemplate'),
        ),
    ),

    'request' => array
    (
        
    ),
);
