<?php

# 定义几个常用的选项
$status = array
(
    1 => '在线',
    2 => '下线',
);

return array
(
    # 表名
    'name' => 'star',
    # 显示给用户看的名称
    'lang' => '购买明星设置',
    'order' => 100,
    'menu' => false,
    'end' => array
    (
        'insert' => 'journal/lib/manage.setStarCache',
        'update' => 'journal/lib/manage.setStarCache',
    ),
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            //'list'        => true,
        ),

        'info_id'        => array
        (
            'type'      => 'int-11',
            'name'      => '电子刊',
            'default'   => '',
            'desc'      => '电子刊',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'value'     => Dever::input('search_option_info_id')
        ),

        'name'      => array
        (
            'type'      => 'varchar-80',
            'name'      => '明星姓名',
            'default'   => '',
            'desc'      => '明星姓名',
            'match'     => 'option',
            'update'    => 'text',
            //'search'    => 'fulltext',
            'list'      => true,
        ),

        'avatar'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '明星头像-图片尺寸150*150px或等比尺寸，上传大小不能超过2M，支持JPG、PNG、GIF格式，建议上传JPG格式',
			'default' 	=> '',
			'desc' 		=> '明星头像',
			'match' 	=> 'is_string',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),

		'num_ratio_ding'		=> array
		(
			'type' 		=> 'varchar-20',
			'name' 		=> '订阅系数-系数不能小于等于0，支持两位小数，当前明星总订阅量=（用户当前订阅数+订阅基数）*订阅系数',
			'default' 	=> '1',
			'desc' 		=> '手动增加订阅系数',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'num_add_ding'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '订阅基数',
			'default' 	=> '0',
			'desc' 		=> '手动增加阅读数',
			'match' 	=> 'option',
			'update'	=> 'text',
		),

		'num_ding'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '订阅数',
			'default' 	=> '0',
			'desc' 		=> '请填写订阅数',
			'match' 	=> 'option',
			'search'	=> 'order',
			'list'		=> 'Dever::load("journal/lib/manage.starDing?id={id}")',
		),

        'reorder'       => array
        (
            'type'      => 'int-11',
            'name'      => '排序(数值越大越靠前)',
            'default'   => '1',
            'desc'      => '请输入排序',
            'match'     => 'option',
            'update'    => 'text',
            'search'    => 'order',
            'list_name' => '排序',
            'list'      => true,
            'order'     => 'desc',
            'edit'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '添加时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            //'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        
    ),


    'request' => array
    (
       
    ),
);
