<?php

return array
(
    # 表名
    'name' => 'buy',
    # 显示给用户看的名称
    'lang' => '购买设置',
    'menu' => false,
    'end' => array
    (
        //'update' => 'service/lib/manage.feedback',
        //'insert' => 'service/lib/manage.feedback',
    ),
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'update'    => 'hidden',
            'value'     => Dever::input('where_id')
            //'list'        => true,
        ),

        'info_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '电子刊',
            'default'   => '',
            'desc'      => '电子刊',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'value'     => Dever::input('search_option_info_id')
        ),

        'buy_score'     => array
        (
            'type'      => 'int-11',
            'name'      => '每购买一本刊获得多少积分',
            'default'   => '20',
            'desc'      => '每购买一本刊获得多少积分',
            'match'     => 'is_numeric',
            //'update'    => 'text',
        ),

        'buy_title'     => array
        (
            'type'      => 'varchar-80',
            'name'      => '购买电子刊标题',
            'default'   => '购买电子刊获得积分',
            'desc'      => '购买电子刊标题',
            'match'     => 'is_string',
            'update'    => 'text',
        ),

        'buy_applet_notice'      => array
        (
            'type'      => 'varchar-800',
            'name'      => '购买提示-小程序与APP内直接购买电子刊的提示',
            'default'   => '在此购买单本可直接阅读电子刊，购买多本，直接累计积分，不会生成兑换码。',
            'desc'      => '购买提示',
            'match'     => 'is_string',
            'update'    => 'textarea',
        ),

        'buy_notice'      => array
        (
            'type'      => 'varchar-800',
            'name'      => '购买一个兑换码提示-h5页面购买兑换码时的提示语',
            'default'   => '一次购买多本将生成一个兑换码用于兑换，如需多个兑换码，请多次购买。',
            'desc'      => '购买电子刊提示',
            'match'     => 'is_string',
            'update'    => 'textarea',
        ),

        'buy_notices'      => array
        (
            'type'      => 'varchar-800',
            'name'      => '购买多个兑换码提示-h5页面购买兑换码时的提示语',
            'default'   => '购买兑换码赠送好友：点击下方购买后，将生成多个兑换码。
积分规则：使用兑换码兑换后，使用人获得积分，购买人不增加积分。',
            'desc'      => '购买电子刊提示',
            'match'     => 'is_string',
            'update'    => 'textarea',
        ),

        'buy_desc'      => array
        (
            'type'      => 'varchar-800',
            'name'      => '购买电子刊介绍',
            'default'   => '每购买一本刊获得20积分',
            'desc'      => '购买电子刊介绍',
            'match'     => 'is_string',
            'update'    => 'textarea',
        ),

        'buy_content'       => array
        (
            'type'      => 'text-255',
            'name'      => '购买说明',
            'default'   => "<p>1、兑换成功后可直接点击【开始阅读】查看电子刊内容；</p>
<p>2、电子刊为虚拟商品，如无系统问题，兑换后不可退款；</p>
<p>3、每兑换一本电子刊增加20个积分，以此类推，谁使用兑换码则积分累计在谁的账号中；</p>
<p>4、想赠送朋友，可在下方点击【购买10本生成10个兑换码】按钮，如购买后自己使用，则需要全部兑换后方可换取积分；</p>
<p>5、如有其它问题可咨询在线客服。</p>",
            'desc'      => '请输入内容',
            'match'     => 'is_string',
            'update'    => 'editor',
            'key'       => 1,
        ),
        
        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            //'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (

    ),
);
