<?php

return array
(
	# 表名
	'name' => 'mobile_upload',
	# 显示给用户看的名称
	'lang' => '导入用户',
	'order' => 1,
	'menu' => false,
	'end' => array
	(
		'update' => 'journal/lib/manage.mobileImport',
		'insert' => 'journal/lib/manage.mobileImport',
	),
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '系统ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'value'		=> Dever::input('where_id'),
		),

		'file'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '导入用户-请先下载模板',
			'default' 	=> '',
			'desc' 		=> '导入用户',
			'match' 	=> 'is_string',
			'update'	=> 'upload',
			'key' 		=> '4',
			'value'		=> '',
		),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	'manage' => array
	(
		# 后台管理不要列表页
		'list' => 'update',
	),
);
